{
  "targets": {
    "lint": {
      "cmd": "npm",
      "name": "lint",
      "args": [ "run", "lint:ci:builder" ],
      "sh": false,
      "cwd": "{PROJECT_PATH}",
      "env": {},
      "warningMatch": [
        "(?<file>[\\/0-9a-zA-Z\\._-]+):(?<line>\\d+):(?<col>\\d+):\\s+(?<message>.+)"
      ],
      "buildOnSave": true,
      "atomCommandName": "build: lint"
    },
    "test": {
      "cmd": "npm",
      "name": "test",
      "args": [ "run", "test:coverage" ],
      "sh": false,
      "cwd": "{PROJECT_PATH}",
      "env": {},
      "errorMatch": [
        "(?<file>[\\/0-9a-zA-Z\\._]+):(?<line>\\d+):(?<col>\\d+):\\s+error:\\s+(?<message>.+)"
      ],
      "warningMatch": [
        "(?<file>[\\/0-9a-zA-Z\\._]+):(?<line>\\d+):(?<col>\\d+):\\s+warning:\\s+(?<message>.+)",
        "\\s+\\d+\\. (?<file>[\\/0-9a-zA-Z\\._]+):(?<line>\\d+)\\s+-\\s(?<message>.+)"
      ],
      "keymap": "ctrl-b",
      "atomCommandName": "build: test"
    }
  }
}
